local f, loop, recent = CreateFrame('frame'), 0, {}
f:SetAllPoints()
f:SetAlpha(0)
f:SetFrameStrata('FULLSCREEN_DIALOG')

local tx = f:CreateTexture()
tx:SetBlendMode('ADD')
tx:SetAllPoints()
tx:SetTexture([[interface\fullscreentextures\lowhealth]])

local fade = f:CreateAnimationGroup()
fade:SetToFinalAlpha(false)

local alpha = fade:CreateAnimation('Alpha')
alpha:SetFromAlpha(0)
alpha:SetToAlpha(1)
alpha:SetDuration(0.5)
--alpha:SetEndDelay(0.25)

fade:SetLooping('BOUNCE')
fade:SetScript('OnLoop', function()
	loop = loop + 1
	if loop >= 5 then
		loop = 0
		fade:Finish()
	end
end)

local x1, x2, y1, y2 = GetObjectIconTextureCoords(4733)
local MessageString = format('|Tinterface/minimap/objecticonsatlas.blp:16:16:0:0:256:256:%f:%f:%f:%f|t%%s detected at %%s!', x1 * 256, x2 * 256, y1 * 256, y2 * 256)

f:SetScript('OnEvent', function(_, event, id, ...)
	local x, y, name, tipe = C_Vignettes.GetVignetteInfoFromInstanceID(id)
	--if tipe == 41 or tipe == 42 or not tipe then
	-- 4715 = treasure chest
	-- 4733 = star (old skull)
	if tipe == 4733 or not tipe then -- tipe == 4715
		local now = GetTime()
		if not name then name = id end
		if recent[name] and now - recent[name] < 30 then recent[name] = now return end -- ignore recently seen
		local msg = format(MessageString, name or 'Rare', date('%I:%M', time()))
		RaidWarningFrame_OnEvent(RaidWarningFrame, 'CHAT_MSG_RAID_WARNING', msg)
		DEFAULT_CHAT_FRAME:AddMessage(msg)
		recent[name] = now
		PlaySoundFile([[sound\event sounds\event_wardrum_ogre.ogg]], 'Master')
		PlaySoundFile([[sound\events\scourge_horn.ogg]], 'Master')
		fade:Play()
	end
end)
f:RegisterEvent('VIGNETTE_ADDED')